Subject: Re: [BUG] New Kernel Bugs

From: Russell King <[email-masked]>
Date: Tue, 13 Nov 2007 19:37:50 +0000

On Tue, Nov 13, 2007 at 09:08:32AM -0500, Mark Lord wrote:
> Ingo Molnar wrote:
> ..
> > This is all QA-101 that _cannot be argued against on a rational basis_, 
> > it's just that these sorts of things have been largely ignored for 
> > years, in favor of the all-too-easy "open source means many eyeballs and 
> > that is our QA" answer, which is a _good_ answer but by far not the most 
> > intelligent answer! Today "many eyeballs" is simply not good enough and 
> > nature (and other OS projects) will route us around if we dont change.
> ..
> 
> QA-101 and "many eyeballs" are not at all in opposition.
> The latter is how we find out about bugs on uncommon hardware,
> and the former is what we need to track them and overall quality.
> 
> A HUGE problem I have with current "efforts", is that once someone
> reports a bug, the onus seems to be 99% on the *reporter* to find
> the exact line of code or commit.  Ghad what a repressive method.

99% on the reporter?  Is that why I always try to understand the
reporters problem (*provided* it's in an area I know about) and come
up with a patch to test a theory or fix the issue?

I'm _less_ inclined to provide such a "service" for lazy maintainers
who've moved off into new and wonderfully exciting technologies, to
churn out more patches for me to merge (and eventually provide a free
to them bug fixing service for.)

That's "less" inclined, not "won't".

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: